--
-- Licensed Materials - Property of IBM
-- 5725-G92 (C) Copyright IBM Corp. 2011, 2013. All Rights Reserved.
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--

-- To execute this script:
-- First connect to the appcenter data base.
-- Lets assume the data base name is "appcntr".
-- db2 connect to appcntr
-- Then execute:
-- db2 -tvsf create-appcenter-db2.sql


-- clean up (commented out)

-- DROP INDEX I_CL_PPLS_ACLAPP;
-- DROP INDEX I_CL_PPLS_PRINCIPA;
-- DROP INDEX I_CL_RRCS_PRINCIPA;
-- DROP INDEX I_PPLC_MD_ACL;
-- DROP INDEX I_PPLC_MD_AUTHOR;
-- DROP INDEX I_PPLCTRG_APFK;
-- DROP INDEX I_PPLC_RF_APMDFK;
-- DROP INDEX I_DEVICE_USER;
-- DROP INDEX I_FEEDBCK_APP;
-- DROP INDEX I_FEEDBCK_DEVICE;
-- DROP INDEX I_NSTL_PP_APP;
-- DROP INDEX I_NSTL_PP_DEVICE;
-- DROP INDEX I_PRNCCPL_ELEMENT;
-- DROP INDEX I_PRNCCPL_GROUPCOL;

-- DROP TABLE ACL_APPLICATIONS;
-- DROP TABLE ACL_APPLICATION_PRINCIPALS;
-- DROP TABLE ACL_RESOURCES;
-- DROP TABLE APPLICATION_MD;
-- DROP TABLE APPLICATION_STORAGE;
-- DROP TABLE APPLICATION_STORAGE_REF;
-- DROP TABLE DEVICE;
-- DROP TABLE FEEDBACK;
-- DROP TABLE INSTALLED_APP;
-- DROP TABLE ONETIMEURL;
-- DROP TABLE PRINCIPAL;
-- DROP TABLE PRINCIPAL_PRINCIPAL;


-- create the tables
CREATE TABLE ACL_APPLICATIONS (ID INTEGER NOT NULL GENERATED BY DEFAULT AS IDENTITY, MAX_VERSION DOUBLE, PKG VARCHAR(256), PRIMARY KEY(ID));
CREATE TABLE ACL_APPLICATION_PRINCIPALS (ID INTEGER NOT NULL GENERATED BY DEFAULT AS IDENTITY, CAN_CREATE SMALLINT, CAN_DELETE SMALLINT, CAN_LIST SMALLINT, CAN_UPDATE SMALLINT, APP_FK INTEGER, PRINCIPAL_FK INTEGER, PRIMARY KEY(ID));
CREATE TABLE ACL_RESOURCES (ID INTEGER NOT NULL GENERATED BY DEFAULT AS IDENTITY, ACLRACCESS SMALLINT, ACLRRESOURCE SMALLINT, PRINCIPAL_FK INTEGER, PRIMARY KEY(ID));
CREATE TABLE APPLICATION_MD (ID INTEGER NOT NULL GENERATED BY DEFAULT AS IDENTITY, ACTIVE CHAR(1), APNS_CERTIFICATE_PASSWORD VARCHAR(32), APNS_GATEWAY VARCHAR(16), CREATED TIMESTAMP, DESCRIPTION VARCHAR(2048), IS_INSTALLER CHAR(1), LABEL VARCHAR(256), MANDATORY CHAR(1), OS VARCHAR(32), PKG VARCHAR(256), VENDOR VARCHAR(512), READY_PROD CHAR(1), RESOURCE_TYPE VARCHAR(32), UPDATED TIMESTAMP, VERSION VARCHAR(16), VERSION_NAME VARCHAR(256), VERSION_NUM DOUBLE, ACL INTEGER, AUTHOR INTEGER, PRIMARY KEY(ID));
CREATE TABLE APPLICATION_STORAGE (ID INTEGER NOT NULL GENERATED BY DEFAULT AS IDENTITY, CONTENT BLOB(2G) NOT LOGGED, AP_FK INTEGER, PRIMARY KEY(ID));
CREATE TABLE APPLICATION_STORAGE_REF (ID INTEGER NOT NULL GENERATED BY DEFAULT AS IDENTITY, CREATED TIMESTAMP,FILE_SIZE BIGINT, FILENAME VARCHAR(1024), IS_DERIVED CHAR(1), REMOTE_URL VARCHAR(1024), TYPE VARCHAR(64), APMD_FK INTEGER, PRIMARY KEY(ID));
CREATE TABLE DEVICE (ID INTEGER NOT NULL GENERATED BY DEFAULT AS IDENTITY, ACTIVE CHAR(1), CREATED TIMESTAMP, DEVICE_ID VARCHAR(256), MAKER VARCHAR(256), MODEL VARCHAR(32), NICKNAME VARCHAR(64), OS VARCHAR(32), OS_DESCRIPTION VARCHAR(256), UPDATED TIMESTAMP, DEVICE_USER INTEGER, PRIMARY KEY(ID));
CREATE TABLE FEEDBACK (ID INTEGER NOT NULL GENERATED BY DEFAULT AS IDENTITY, FEEDBACKCOMMENT VARCHAR(2048), CREATED TIMESTAMP, RATING INTEGER, APP INTEGER, DEVICE INTEGER, PRIMARY KEY(ID));
CREATE TABLE INSTALLED_APP (ID INTEGER NOT NULL GENERATED BY DEFAULT AS IDENTITY, CREATED TIMESTAMP, STATUS VARCHAR(32), TO_UPDATE CHAR(1), UPDATED TIMESTAMP, APP INTEGER, DEVICE INTEGER, PRIMARY KEY(ID));
CREATE TABLE ONETIMEURL (HASH VARCHAR(254) NOT NULL, FIELD1 VARCHAR(1024), FIELD2 VARCHAR(1024), FIELD3 VARCHAR(1024), HASHTIME BIGINT, CONSTRAINT SEQ12 PRIMARY KEY (HASH));
CREATE TABLE PRINCIPAL (ID INTEGER NOT NULL GENERATED BY DEFAULT AS IDENTITY, DISPLAY_NAME VARCHAR(256), IS_IN_LDAP CHAR(1), LOGIN_NAME VARCHAR(256), TYPE VARCHAR(8), UNIQUE_NAME VARCHAR(720), PRIMARY KEY(ID));   
CREATE TABLE PRINCIPAL_PRINCIPAL (GROUPCOLLECTION_ID INTEGER, MEMBERCOLLECTION_ID INTEGER);


-- create the indexes
CREATE INDEX I_CL_PPLS_ACLAPP ON ACL_APPLICATION_PRINCIPALS (APP_FK);
CREATE INDEX I_CL_PPLS_PRINCIPA ON ACL_APPLICATION_PRINCIPALS (PRINCIPAL_FK);
CREATE INDEX I_CL_RRCS_PRINCIPA ON ACL_RESOURCES (PRINCIPAL_FK);
CREATE INDEX I_PPLC_MD_ACL ON APPLICATION_MD (ACL);
CREATE INDEX I_PPLC_MD_AUTHOR ON APPLICATION_MD (AUTHOR);
CREATE INDEX I_PPLCTRG_APFK ON APPLICATION_STORAGE (AP_FK);
CREATE INDEX I_PPLC_RF_APMDFK ON APPLICATION_STORAGE_REF (APMD_FK);
CREATE INDEX I_DEVICE_USER ON DEVICE (DEVICE_USER);
CREATE INDEX I_FEEDBCK_APP ON FEEDBACK (APP);
CREATE INDEX I_FEEDBCK_DEVICE ON FEEDBACK (DEVICE);
CREATE INDEX I_NSTL_PP_APP ON INSTALLED_APP (APP);
CREATE INDEX I_NSTL_PP_DEVICE ON INSTALLED_APP (DEVICE);
CREATE INDEX I_PRNCCPL_ELEMENT ON PRINCIPAL_PRINCIPAL (MEMBERCOLLECTION_ID);
CREATE INDEX I_PRNCCPL_GROUPCOL ON PRINCIPAL_PRINCIPAL (GROUPCOLLECTION_ID);
