--
-- Licensed Materials - Property of IBM
-- 5725-G92 (C) Copyright IBM Corp. 2011, 2013. All Rights Reserved.
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--

-- To execute this script:
-- After creation of the data base and a user for that appcenter data base,
-- execute sqlplus and log in as that user. This connects automatically
-- to the appcenter data base. Then type on its command line:
-- start create-appcenter-oracle.sql;
-- quit;



-- clean up (commented out)

-- DROP INDEX I_CL_PPLS_ACLAPP;
-- DROP INDEX I_CL_PPLS_PRINCIPAL;
-- DROP INDEX I_CL_RRCS_PRINCIPALFK;
-- DROP INDEX I_PPLC_MD_ACL;
-- DROP INDEX I_PPLC_MD_AUTHOR;
-- DROP INDEX I_PPLCTRG_APFK;
-- DROP INDEX I_PPLC_RF_APMDFK;
-- DROP INDEX I_DEVICE_USER;
-- DROP INDEX I_FEEDBCK_APP;
-- DROP INDEX I_FEEDBCK_DEVICE;
-- DROP INDEX I_NSTL_PP_APP;
-- DROP INDEX I_NSTL_PP_DEVICE;
-- DROP INDEX I_PRNCCPL_ELEMENT;
-- DROP INDEX I_PRNCCPL_GROUPCOLLECTION_ID;

-- DROP TABLE ACL_APPLICATIONS;
-- DROP TABLE ACL_APPLICATION_PRINCIPALS;
-- DROP TABLE ACL_RESOURCES;
-- DROP TABLE APPLICATION_MD;
-- DROP TABLE APPLICATION_STORAGE;
-- DROP TABLE APPLICATION_STORAGE_REF;
-- DROP TABLE DEVICE;
-- DROP TABLE FEEDBACK;
-- DROP TABLE INSTALLED_APP;
-- DROP TABLE ONETIMEURL;
-- DROP TABLE PRINCIPAL;
-- DROP TABLE PRINCIPAL_PRINCIPAL;
-- DROP TABLE OPENJPA_SEQUENCE_TABLE;


-- create the tables
CREATE TABLE ACL_APPLICATIONS (ID NUMBER NOT NULL, MAX_VERSION NUMBER(38,22), PKG VARCHAR2(256), PRIMARY KEY (ID));
CREATE TABLE ACL_APPLICATION_PRINCIPALS (ID NUMBER NOT NULL, CAN_CREATE NUMBER, CAN_DELETE NUMBER, CAN_LIST NUMBER, CAN_UPDATE NUMBER, PRINCIPAL_FK NUMBER, APP_FK NUMBER, PRIMARY KEY (ID));
CREATE TABLE ACL_RESOURCES (ID NUMBER NOT NULL, ACLRACCESS NUMBER, ACLRRESOURCE NUMBER, PRINCIPAL_FK NUMBER, PRIMARY KEY (ID));
CREATE TABLE APPLICATION_MD (ID NUMBER NOT NULL, ACTIVE CHAR(1), APNS_CERTIFICATE_PASSWORD VARCHAR2(32), APNS_GATEWAY VARCHAR2(16), CREATED TIMESTAMP, DESCRIPTION VARCHAR2(2048), IS_INSTALLER CHAR(1), LABEL VARCHAR2(256), MANDATORY CHAR(1), OS VARCHAR2(32), PKG VARCHAR2(256), VENDOR VARCHAR2(512), READY_PROD CHAR(1), RESOURCE_TYPE VARCHAR2(32), UPDATED TIMESTAMP, VERSION VARCHAR2(16), VERSION_NAME VARCHAR2(256), VERSION_NUM NUMBER(38,22), AUTHOR NUMBER, ACL NUMBER, PRIMARY KEY (ID));
CREATE TABLE APPLICATION_STORAGE (ID NUMBER NOT NULL, CONTENT BLOB, AP_FK NUMBER, PRIMARY KEY (ID));
CREATE TABLE APPLICATION_STORAGE_REF (ID NUMBER NOT NULL, CREATED TIMESTAMP, FILE_SIZE NUMBER, FILENAME VARCHAR2(1024), IS_DERIVED CHAR(1), REMOTE_URL VARCHAR2(1024), TYPE VARCHAR2(64), APMD_FK NUMBER, PRIMARY KEY (ID));
CREATE TABLE DEVICE (ID NUMBER NOT NULL, ACTIVE CHAR(1), CREATED TIMESTAMP, DEVICE_ID VARCHAR2(256), MAKER VARCHAR2(256), MODEL VARCHAR2(32), NICKNAME VARCHAR2(64), OS VARCHAR2(32), OS_DESCRIPTION VARCHAR2(256), UPDATED TIMESTAMP, DEVICE_USER NUMBER, PRIMARY KEY (ID));
CREATE TABLE FEEDBACK (ID NUMBER NOT NULL, FEEDBACKCOMMENT VARCHAR2(2048), CREATED TIMESTAMP, RATING NUMBER, APP NUMBER, DEVICE NUMBER, PRIMARY KEY (ID));
CREATE TABLE INSTALLED_APP (ID NUMBER NOT NULL, CREATED TIMESTAMP, STATUS VARCHAR2(32), TO_UPDATE CHAR(1), UPDATED TIMESTAMP, APP NUMBER, DEVICE NUMBER, PRIMARY KEY (ID));
CREATE TABLE ONETIMEURL (HASH VARCHAR2(255) NOT NULL, FIELD1 VARCHAR2(1024), FIELD2 VARCHAR2(1024), FIELD3 VARCHAR2(1024), HASHTIME NUMBER, PRIMARY KEY (HASH));
CREATE TABLE PRINCIPAL (ID NUMBER NOT NULL, DISPLAY_NAME VARCHAR2(256), IS_IN_LDAP CHAR(1), LOGIN_NAME VARCHAR2(256), TYPE VARCHAR2(8), UNIQUE_NAME VARCHAR2(720), PRIMARY KEY (ID));
CREATE TABLE PRINCIPAL_PRINCIPAL (GROUPCOLLECTION_ID NUMBER, MEMBERCOLLECTION_ID NUMBER);
CREATE TABLE OPENJPA_SEQUENCE_TABLE (ID NUMBER NOT NULL, SEQUENCE_VALUE NUMBER, PRIMARY KEY (ID));


-- create the indexes
CREATE INDEX I_CL_PPLS_ACLAPP ON ACL_APPLICATION_PRINCIPALS (APP_FK);
CREATE INDEX I_CL_PPLS_PRINCIPAL ON ACL_APPLICATION_PRINCIPALS (PRINCIPAL_FK);
CREATE INDEX I_CL_RRCS_PRINCIPALFK ON ACL_RESOURCES (PRINCIPAL_FK);
CREATE INDEX I_PPLC_MD_ACL ON APPLICATION_MD (ACL);
CREATE INDEX I_PPLC_MD_AUTHOR ON APPLICATION_MD (AUTHOR);
CREATE INDEX I_PPLCTRG_APFK ON APPLICATION_STORAGE (AP_FK);
CREATE INDEX I_PPLC_RF_APMDFK ON APPLICATION_STORAGE_REF (APMD_FK);
CREATE INDEX I_DEVICE_USER ON DEVICE (DEVICE_USER);
CREATE INDEX I_FEEDBCK_APP ON FEEDBACK (APP);
CREATE INDEX I_FEEDBCK_DEVICE ON FEEDBACK (DEVICE);
CREATE INDEX I_NSTL_PP_APP ON INSTALLED_APP (APP);
CREATE INDEX I_NSTL_PP_DEVICE ON INSTALLED_APP (DEVICE);
CREATE INDEX I_PRNCCPL_ELEMENT ON PRINCIPAL_PRINCIPAL (MEMBERCOLLECTION_ID);
CREATE INDEX I_PRNCCPL_GROUPCOLLECTION_ID ON PRINCIPAL_PRINCIPAL (GROUPCOLLECTION_ID);

