/*
 *  Licensed Materials - Property of IBM
 *  5725-G92 (C) Copyright IBM Corp. 2011, 2013. All Rights Reserved.
 *  US Government Users Restricted Rights - Use, duplication or
 *  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */

package com.ibm.appcenter.ui.debug;

import net.rim.device.api.ui.component.TextField;

import com.ibm.appcenter.ui.AppCenterScreen;
import com.ibm.appcenter.util.Log;

/**
 * A screen for logging messages.
 */
public class LogScreen
extends AppCenterScreen
{
    /**
	 * Creates the configuration screen.
	 */
	public LogScreen()
	{
	    // Set the displayed title of the screen       
	    setTitle("Log");
	        
	    String log = Log.getLog();
	    
	    TextField text = new TextField(log.length() + 10);
	    text.setText(log);
	    add(text);
	        
	    addViewMenu();
	}
	
    /**
     * Returns the screen name for logging.
     */
    public String getScreenName()
    {
    	return "LogSCR";
    }
	    
	/**
	 * Called when the screen was edited and closed.
	 */
	protected boolean onSave()
	{
		// nothing to save
	    return true;
	}
	    
	/**
	 * Called when the screen was edited, to query whether to close
	 * the screen.
	 */
	protected boolean onSavePrompt()
	{
	    // the screen should always close
	    return true;
	}
}
