/*
 *  Licensed Materials - Property of IBM
 *  5725-G92 (C) Copyright IBM Corp. 2011, 2013. All Rights Reserved.
 *  US Government Users Restricted Rights - Use, duplication or
 *  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */

package com.ibm.appcenter.ui.widget;

import com.ibm.appcenter.ui.UIUtil;

import net.rim.device.api.ui.Color;
import net.rim.device.api.ui.Graphics;
import net.rim.device.api.ui.XYRect;
import net.rim.device.api.ui.component.CheckboxField;
import net.rim.device.api.ui.decor.Background;

/**
 * An enhanced check box field that draws with the normal
 * font color.
 */
public class EnhancedCheckboxField extends CheckboxField
{
	/**
	 * Constructor.
	 * @param s The initial label.
	 * @param init The initial value.
	 */
	public EnhancedCheckboxField(String s, boolean init)
	{
		super(s, init);
	}
	
	/**
	 * Paints the field.
	 */
	protected void paint(Graphics g)
	{
	    if (getVisualState() == VISUAL_STATE_FOCUS) {
	    	Background focusBackground = UIUtil.getFocusBackground();
	    	XYRect rect = new XYRect(0, 0, getWidth(), getHeight());
	    	focusBackground.draw(g, rect);
	    	XYRect rect2 = new XYRect(0, 0, 2000, getHeight());
	    	focusBackground.draw(g, rect2);
	    }
	    g.setColor(Color.WHITE);
	    super.paint(g);
	}
}
