/*
 *  Licensed Materials - Property of IBM
 *  5725-G92 (C) Copyright IBM Corp. 2011, 2013. All Rights Reserved.
 *  US Government Users Restricted Rights - Use, duplication or
 *  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */

package com.ibm.appcenter.ui.widget;

import net.rim.device.api.ui.Graphics;
import net.rim.device.api.ui.XYRect;
import net.rim.device.api.ui.decor.Background;

/**
 * My own version of gradient background.
 * This is a vertical gradient with 3 colors.
 */
public class EnhancedGradientBackground extends Background
{
	private int _color1;
	private int _color2;
	private int _color3;

	public EnhancedGradientBackground(int color1, int color2, int color3)
	{
		_color1 = color1;
		_color2 = color2;
		_color3 = color3;
	}
	
	public void draw(Graphics g, XYRect rect) 
	{
		drawSlice(g, rect.x, rect.y, rect.width, rect.height, _color1, _color2, _color3);
	}
	
	public void drawSlice(Graphics g, int x, int y, int w, int h, int startColor, int middleColor, int endColor)
	{
		// where the gradient begins and ends
		int[] xpts = { x, x + w, x + w,   x + w, x    , x       };
		int[] ypts = { y, y,     y + h/2, y + h, y + h, y + h/2 };
		int[] colors = { startColor, startColor, middleColor, endColor, endColor, middleColor };
		g.drawShadedFilledPath(xpts, ypts, null, colors, null);
	}
	
	public boolean isTransparent()
	{
		return false;
	}

}
