/*
 *  Licensed Materials - Property of IBM
 *  5725-G92 (C) Copyright IBM Corp. 2011, 2013. All Rights Reserved.
 *  US Government Users Restricted Rights - Use, duplication or
 *  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */

package com.ibm.appcenter.ui.widget;

import com.ibm.appcenter.ui.UIUtil;

import net.rim.device.api.ui.Graphics;
import net.rim.device.api.ui.component.LabelField;

/**
 * An enhanced label field that draws with the normal
 * font color.
 */

public class EnhancedLabelField extends LabelField 
{
	/**
	 * Constructor.
	 * @param txt The text.
	 */
	public EnhancedLabelField(String txt)
	{
		super(txt);
	}

	/**
	 * Constructor.
	 * @param txt The text.
	 * @param style The style
	 */
	public EnhancedLabelField(String txt, long style)
	{
		super(txt, style);
	}
	
	/**
	 * Paints the label.
	 */
    public void paint(Graphics g){      
        int oldColor = g.getColor();
        try {
        	g.setColor(UIUtil.getNormalTextColor());
        	super.paint(g);
        } finally {
        	g.setColor(oldColor);
        }
   } 
}
