/*
 *  Licensed Materials - Property of IBM
 *  5725-G92 (C) Copyright IBM Corp. 2011, 2013. All Rights Reserved.
 *  US Government Users Restricted Rights - Use, duplication or
 *  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */

package com.ibm.appcenter.util;

/**
 * An indicator that the device is busy.
 * Usually this changes the UI in some form,
 * e.g. it pops up the "Please wait..." dialog.
 * We use this interface to decouple UI elements
 * from connection functionality.
 */
public interface BusyIndicator {

	/**
	 * Sets whether the indicator displays
	 * the busy or idle state.
	 * @param busy If true, then busy state.
	 */
	public void setBusy(boolean busy);
	
	/**
	 * Returns whether the indicator displays
	 * the busy or idle state.
	 */
	public boolean isBusy();
}
