/*
 *  Licensed Materials - Property of IBM
 *  5725-G92 (C) Copyright IBM Corp. 2011, 2013. All Rights Reserved.
 *  US Government Users Restricted Rights - Use, duplication or
 *  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */

package com.ibm.appcenter.util;

/**
 * An indicator for progress.
 */
public interface ProgressIndicator
{
	/**
	 * Sets the maximal value of the progress bar.
	 * @param max The maximal value.
	 */
	public void setProgressMaxValue(int max);
	
	/**
	 * Increases the value of the progress bar
	 * to the input value. If the progress bar
	 * value is already higher, it does nothing.
	 * @param value The increased value.
	 */
	public void increaseProgressValueTo(int value);
		
	/**
	 * Sets the value of the progress bar.
	 * @param value The current value.
	 */
	public void setProgressValue(int value);
}
