@echo off

setlocal enabledelayedexpansion
set errorlevel=

set CURRENT_DIR="%~dp0"
set CURRENT_DIR=!CURRENT_DIR:"=!
set WLP_INSTALL_DIR=!CURRENT_DIR:~0,-5!
set WAS_INSTALL_DIR=%WLP_INSTALL_DIR%\..\
set PRODUCT_INVOKE=TRUE

@REM De-quote input environment variables.
if defined JRE_HOME set JRE_HOME=!JRE_HOME:"=!
if defined JAVA_HOME set JAVA_HOME=!JAVA_HOME:"=!
if defined WLP_USER_DIR set WLP_USER_DIR=!WLP_USER_DIR:"=!
if defined WLP_OUTPUT_DIR set WLP_OUTPUT_DIR=!WLP_OUTPUT_DIR:"=!

call:readServerEnv "%WLP_INSTALL_DIR%\etc\default.env"
call:readServerEnv "%WLP_INSTALL_DIR%\etc\server.env"

if not defined WLP_DEFAULT_USER_DIR set WLP_DEFAULT_USER_DIR=!WLP_INSTALL_DIR!\usr
if not defined WLP_USER_DIR set WLP_USER_DIR=!WLP_DEFAULT_USER_DIR!

if not defined WLP_DEFAULT_OUTPUT_DIR set WLP_DEFAULT_OUTPUT_DIR=!WLP_USER_DIR!\servers
if not defined WLP_OUTPUT_DIR set WLP_OUTPUT_DIR=!WLP_DEFAULT_OUTPUT_DIR!

@REM find the java command
if NOT defined JAVA_HOME (
  if NOT defined JRE_HOME (
    if NOT defined WLP_DEFAULT_JAVA_HOME (
      @REM Use whatever java is on the path
      set JAVA_CMD_QUOTED="java"
    ) else (
      set JAVA_CMD_QUOTED="%WLP_DEFAULT_JAVA_HOME%\bin\java"
    )
  ) else (
    set JAVA_CMD_QUOTED="%JRE_HOME%\bin\java"
  )
) else (
  set JAVA_CMD_QUOTED="%JAVA_HOME%\bin\java"
)


for %%I in ("%WAS_INSTALL_DIR%") do set TEMP_WAS_INSTALL_DIR=%%~sI
set WAS_INSTALL_DIR=%TEMP_WAS_INSTALL_DIR%

for %%I in ("%WLP_INSTALL_DIR%") do set TEMP_WLP_INSTALL_DIR=%%~sI
set WLP_INSTALL_DIR=%TEMP_WLP_INSTALL_DIR%


set OPTION=%~1
if "%OPTION%" == "-help" goto:showUsage

if not exist "%WAS_INSTALL_DIR%\lib\was-isadc\was_liberty" (
   call:isadcNotFound
) else (
   call "%WAS_INSTALL_DIR%\lib\was-isadc\isadc\isadc_liberty.bat" -outputzip "%TEMP%\WLP-ISADC.zip" -collectorBase "%WAS_INSTALL_DIR%\lib\was-isadc\was_liberty" %*
)

goto:exit

:showUsage
!JAVA_CMD_QUOTED! !JVM_ARGS! -jar !WLP_INSTALL_DIR!\bin\tools\ws-isadc.jar -help
goto:exit

:isadcNotFound
!JAVA_CMD_QUOTED! !JVM_ARGS! -jar !WLP_INSTALL_DIR!\bin\tools\ws-isadc.jar -error
goto:exit

@REM
@REM Read and set variables from the quoted file %1.  Empty lines and lines
@REM beginning with the hash character ('#') are ignored.  All other lines must
@REM be be of the form: VAR=VALUE
@REM
:readServerEnv
  if not exist %1 goto:eof
  for /f "usebackq eol=# delims== tokens=1,*" %%i in (%1) do set %%i=%%j
goto:eof

:exit
%COMSPEC% /c exit %errorlevel%














