
/* JavaScript content from nls/en/nls_installer.js in folder common */
/*
 *  Licensed Materials - Property of IBM
 *  5725-G92 (C) Copyright IBM Corp. 2011, 2013. All Rights Reserved.
 *  US Government Users Restricted Rights - Use, duplication or
 *  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */

define({ root:

({
    //  START NON-TRANSLATABLE
	settingsServerurlPlaceHolderText: "name[:port][/path]",
	defaultRootContext: "applicationcenter"	,
    //  END NON-TRANSLATABLE	
	
	//******************** 
	// General purpose resources
	Back: "Back",
	Yes: "Yes",
	No: "No",
	
	
	//******************** 
	// Misc, Warning and Error messages
	loadingMessage: "loading ...",
	loadAppVersionsMessage: "loading application versions ...",
	noConnectionMessage: "No connection",
	clickToRefreshMessage: "Click to Refresh",
	cancelTryMessage: "Trying to cancel...\nIt might take upto 5 minutes before you can reinstall %1",
	installationFailedError: "Failed to install %1",
	feedbackSuccessMessage: "Feedback successfully sent!",
	serverConnectionFailedError: "Failed to connect to the server",
	feedbackFailedError: "Failed to send feedback",
	feedbackFailedApplicationRemoved: "Failed to send feedback, application is not in catalog anymore.",
	
	//******************** 
	// Resources for main view 	
	headingTitleSpanText: "Applications", // note to dev: this is a <span>, i18n is done programatically
	
	
	//******************** 
	// Resources for the tab bar
	myMobileTabLabel: "My Mobile",
	catalogTabLabel: "Catalog",
	inProgressTabLabel: "In Progress",
	settingsTabLabel: "Settings",
	
	
	//******************** 
	// Resources for the "My Mobile" view: 
	// This view displays the list of installed application
	myMobileViewHeaderText: "Applications",
	myMobileViewCategory1Text: "Installed",
	myMobileViewCategory2Text: "Update or Recommended",
	myMobileViewMsg1: "No installations detected",
	myMobileViewMsg2: "No Updates or Recommended", // note to dev: this is a <span>, i18n is done programatically
	myMobileViewMsg3: "No Connectivity", // note to dev: this is a <span>, i18n is done programatically
		
	
	//******************** 
	// Resources for the "Catalog" view: 
	// This view displays the list of application available on the App Center
	catalogViewHeaderText: "Listed Applications",
	catalogViewMsg1: "No Application to install", // note to dev: this is a <span>, i18n is done programatically
	catalogViewMsg2: "No Connectivity", // note to dev: this is a <span>, i18n is done programatically

		
	//******************** 
	// Resources for the "In Progress" view: 
	// This view displays the list of pending application tasks
	inProgressViewHeaderText: "In Progress Applications",
	nothingToProgressListItemLabel: "Nothing to report",
	
	
	//******************** 
	// Resources for the "noAppContentView" view: 
	noAppContentViewHeaderText: "Application List Empty",
    noAppContentViewMsg1: "Application list is empty.", 
	
    
	//******************** 
	// Resources for the "app info" view:
    // This view display information about the current selected app whatever the list
    appInfoViewHeaderText: "Should be app name", // note to dev: this is a <span>, i18n is done programatically
    appInfoPackageText: "Package",
    appInfoPackageNavText: "Package",
    appInfoVersionText: "Version",
    appInfoDescriptionText: "Description",
    appInfoDescriptionNavText: "Description",
    appInfoMandatoryText: "Recommended",
    appInfoRatingText: "Rating and feedback",
    progressInfoStatusCategoryText: "Progress Information", // note to dev: this is a <span>, i18n is done programatically
    progressInfoStatusText: "test", // note to dev: this is a <span>, i18n is done programatically
    installButtonText: "Install Now",
    switchButtonText: "Switch version...",
    removeButtonText: "Remove Now",
    reportNotInstalledButtonText: "Report Not Installed",
    cancelButtonText: "Cancel Now",
    reportNotInProgressButtonText: "Report Not in Progress",
    
    
	//******************** 
	// Resources for the "textDetailsView" view:
    textDetailsViewHeaderText: "Should be app name", // note to dev: this is a <span>, i18n is done programatically
    textDetailsCategoryText: "test", // note to dev: this is a <span>, i18n is done programatically
    textDetailsText: "test", // note to dev: this is a <span>, i18n is done programatically
    
    
	//******************** 
	// Resources for the "version switching" view:
    versionSwitcherViewHeaderText: "Version switching", // note to dev: this is a <span>, i18n is done programatically
    versionSwitcherCategory1Text: "Installed version", // note to dev: this is a <span>, i18n is done programatically
    versionSwitcherCategory2Text: "Select a version to switch to", // note to dev: this is a <span>, i18n is done programatically
    versionSwitcherSwitchButtonText: "Switch Now",
    
    
	//******************** 
	// Resources for the "feedback" view:
    feedbackDetailsViewHeaderText: "Rating and Feedback", //note for dev: this is a <span>, i18n is done programatically
    feedbackDetailsViewLabel1: "Tap a star to rate the application", // note for dev: this is a <label>, i18n is done programatically
    feedbackDetailsTextAreaPlaceHolderText: "What is your feedback?",
    feedbackDetailsSubmitButtonLabel: "Submit",
    
    
	//******************** 
	// Resources for the "settings" view:
    settingsViewHeaderText: "Settings",
    userIdText: "User ID", // note to dev: this is a <span>, i18n is done programatically
    settingsUseridPlaceHolderText: "Enter your ID",
    passwordText: "Password", // note to dev: this is a <span>, i18n is done programatically
    settingsPasswordPlaceHolder: "Enter your password",
    serverUrlText: "Server URL", // note to dev: this is a <span>, i18n is done programatically
    sslText: "SSL",
    settingsSubmitButtonText: "Connect",
    notifsText: "Notifications",
    

	//******************** 
	// Resources used in Settings.js    
    userIDEmptyError: "User ID field cannot be empty",
    passowrdEmptyError: "Password field cannot be empty",
    serverUrlEmptyError: "Server URL field cannot be empty",
    invalidServerUrlError: "Invalid Server URL",
    
	//******************** 
	// Resources used in InstallerNative.js        
    initInstallerError: "Error initializing Installer: %1",
    installApplicationError: "Error in installApplication: %1",
    removeApplicationError: "Error in removeApplication: %1",
    cancelApplicationError: "Error in cancelApplication: %1",
    downloadIconError: "Error in downloadIcon: %1",
    updateConnectionError: "Error in updateConnection: %1",
    syncInstalledApplicationsError: "Error in syncInstalledApplications: %1",   
    
})

,
"fr": true,

});
